#ifndef _DISPLAY_H_
#define _DISPLAY_H_

#include <stdlib.h>
#include "pico/stdlib.h"
#include "sd1306.h"
#include "font8x8.h"
// extern uint8_t display_buffer[];

void display_init(void);
void display_main(void);
bool display_clear(void);
bool display_putstr(char *str, uint8_t col_x, uint8_t col_y, bool reverse);


typedef struct {
    uint16_t    command;
    uint8_t     x1,y1;
    uint8_t     x2,y2;
    uint8_t     data[OLED_WIDTH/FONT_WIDTH + 1];
} display_cmd_t;


#define DISPLAY_CMD_NONE    0x0000
#define DISPLAY_CMD_CLEAR   0x0001
#define DISPLAY_CMD_PUTSTR  0x0002


#endif
